Package org.apache.catalina.tribes.io

## Class BufferPool

- java.lang.Object
- - org.apache.catalina.tribes.io.BufferPool

    public class BufferPool
    extends Object

### Field Summary

Fields
`static int` `DEFAULT_POOL_SIZE`
`protected static BufferPool` `instance`
`protected int` `maxSize`
`protected ConcurrentLinkedQueue<XByteBuffer>` `queue`
`protected AtomicInteger` `size`
`protected static StringManager` `sm`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `clear()`
`XByteBuffer` `getBuffer​(int minSize, boolean discard)`
`static BufferPool` `getBufferPool()`
`int` `getMaxSize()`
`void` `returnBuffer​(XByteBuffer buffer)`
`void` `setMaxSize​(int bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_POOL_SIZE

    public static final int DEFAULT_POOL_SIZE

#### sm

    protected static final StringManager sm

#### instance

    protected static volatile BufferPool instance

#### maxSize

    protected int maxSize

#### size

    protected final AtomicInteger size

#### queue

    protected final ConcurrentLinkedQueue<XByteBuffer> queue

### Method Detail

#### getBufferPool

    public static BufferPool getBufferPool()

#### getBuffer

    public XByteBuffer getBuffer​(int minSize,
                                 boolean discard)

#### returnBuffer

    public void returnBuffer​(XByteBuffer buffer)

#### clear

    public void clear()

#### setMaxSize

    public void setMaxSize​(int bytes)

#### getMaxSize

    public int getMaxSize()